---
- name: Provision admin users
  hosts: vm01
  gather_facts: false
  become: true

  tasks:
    - name: Create users
      ansible.builtin.user:
        name: m.kudryashov
        state: present

    - name: Add SSH key
      ansible.posix.authorized_key:
        user: m.kudryashov
        state: present
        key: "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIEvaPsU1iT306USihvyYYVEdmr2CjLAaSUxyQy1QSEqF"
